import es, vecmath

weapons = ["hegrenade","glock","usp","p228","deagle","elite","fiveseven","m3","xm1014","mac10","tmp","mp5navy","ump45","p90","galil","famas","ak47","m4a1","scout","aug","sg550","awp","g3sg1","sg552","m249","flashbang","smokegrenade","knife"]
hitgroups = {
        0:{
            "name":"body",
            },
        1:{
            "name":"head",
            },
        2:{
            "name":"chest",
            },
        3:{
            "name":"stomach",
            },
        4:{
            "name":"left arm",
            },
        5:{
            "name":"right arm",
            },
        6:{
            "name":"left leg",
            },
        7:{
            "name":"right leg",
            },
}

def player_hurt(ev):
	attacker = int(ev['attacker'])
	victim = int(ev['userid'])
	if not es.exists("userid", attacker): return
	if es.isbot(attacker): return
	if victim == attacker: return
	damage = int(ev['dmg_health'])
	hitgroup = int(ev['hitgroup'])
	weapon = str(ev['weapon'])
	if weapon not in weapons: weapon = "ExDmg"
	else: weapon = weapon.capitalize()
	hitgroup = hitgroups[hitgroup]['name']
	attackerloc = es.getplayerlocation(attacker)
	victimloc = es.getplayerlocation(victim)
	shotlength = vecmath.distance(victimloc, attackerloc)
	health = es.getplayerprop(victim, 'CBasePlayer.m_iHealth')
	if health <= 1: status = 'K.I.A.'
	elif health >= 2: status = '%i HP left' % int(health)
	msg = "Victim: %s\nDamage: %i\nWeapon: %s\nShot in the %s\nDistance: %.2f m\nStatus: %s" % (es.getplayername(victim),damage,weapon,hitgroup,round(shotlength * 0.0254, 2),status)
	es.usermsg("create","disp","KeyHintText")
	es.usermsg("write","byte","disp",1)
	es.usermsg("write","string","disp",msg)
	es.usermsg("send","disp",ev['attacker'])
	es.usermsg("delete","disp")